%define		_state		stable
%define		orgname		step

Summary:	K Desktop Environment - Interactive Physical Simulator
Summary(pl.UTF-8):	K Desktop Environment - interaktywny symulator fizyczny
Name:		kde4-step
Version:	4.14.3
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	9e021e50310f0e99bd621d57ab07b7ef
URL:		http://www.kde.org/
BuildRequires:	cln-devel
BuildRequires:	eigen
BuildRequires:	gsl-devel
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libqalculate-devel >= 0.9.5
Obsoletes:	kde4-kdeedu-step < 4.7.0
Obsoletes:	step <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Step is an interactive physical simulator.

It works like this: you place some bodies on the scene, add some
forces such as gravity or springs, then click "Simulate" and Step
shows you how your scene will evolve according to the laws of physics.

You can change every property of bodies/forces in your experiment
(even during simulation) and see how this will change evolution of the
experiment. With Step you can not only learn but feel how physics
works!

%description -l pl.UTF-8
Step to interaktywny symulator fizyczny.

Działa w ten sposób: umieszcza się na scenie jakieś ciała, dodaje siły
takie jak grawitacja czy sprężyny, a następnie wciska przycisk
"Symuluj" - a Step pokazuje, jak scena będzie się zmieniała zgodnie z
prawami fizyki.

W ramach eksperymentu można zmieniać każdą właściwość ciał/sił (nawet
podczas symulacji) i obserwować, jak zmieni to jego przebieg. Przy
użyciu Stepa można nie tylko nauczyć się, ale i poczuć, jak działa
fizyka.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/step
%{_datadir}/appdata/step.appdata.xml
%{_datadir}/apps/step
%{_datadir}/config.kcfg/step.kcfg
%{_datadir}/config/step.knsrc
%{_desktopdir}/kde4/step.desktop
%{_iconsdir}/hicolor/*/apps/step.png
%changelog
* Fri Dec 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-step.git;a=log;h=auto/th/kde4-step-4.14.3-2

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6f66272
- release 2 (by relup.sh)

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> ac6197e
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 46d041a
- updated to 4.14.0
- appdata file packaged

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 919d1dd
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> de447f3
- updated to 4.13.1 (by update-kde4.sh)

* Mon May 12 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 852985b
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0bf0689
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 033b3bb
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 05e3974
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 577bc13
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 6dc4c1c
- 4.12.0

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 5937007
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 41afb01
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 5e7fa29
- updated to 4.9.4

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> ea6a863
- updated to 4.9.1.

* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> 21a313f
- updated to 4.9.0, added missing BR.

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 843423d
- up to 4.8.0; now as kde4-step

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d79cd52
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f027660
- initial

